﻿@using MIMS.Portal.Core.Domains;
@using MIMS.Portal.Commons.Extensions;

@model IEnumerable<MIMS.Portal.ViewModels.MerchantViewModel>
@{
    ViewData["PageTitle"] = "پذیرندگان";
}

<section id="merchant-index">
    <div class="card">
        <div class="card-header">
            <h4 class="">پذیرندگان</h4>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="table-responsive">
                    <table class="table table-hover header-border text-nowrap">
                        <thead class="thead-inverse">
                            <tr>
                                @if (User.IsInRole("Admin"))
                                {
                                    <th>@Html.DisplayNameFor(model => model.CreatorUserId)</th>
                                }
                                <th>@Html.DisplayNameFor(model => model.MerchantType)</th>
                                <th>@Html.DisplayNameFor(model => model.MerchantFullname)</th>
                                <th>@Html.DisplayNameFor(model => model.FatherName)</th>
                                <th>@Html.DisplayNameFor(model => model.Gender)</th>
                                <th>@Html.DisplayNameFor(model => model.NationalCode)</th>
                                <th>@Html.DisplayNameFor(model => model.BirthCertificateNumber)</th>
                                <th>@Html.DisplayNameFor(model => model.BirthDate)</th>
                                <th>@Html.DisplayNameFor(model => model.Mobile)</th>
                                <th>@Html.DisplayNameFor(model => model.Phone)</th>
                                <th>@Html.DisplayNameFor(model => model.PostalCode)</th>
                                <th>@Html.DisplayNameFor(model => model.Address)</th>
                                <th>@Html.DisplayNameFor(model => model.CompanyEconomicCode)</th>
                                <th>@Html.DisplayNameFor(model => model.CompanyName)</th>
                                <th>@Html.DisplayNameFor(model => model.CompanyRegisterNumber)</th>
                                <th>@Html.DisplayNameFor(model => model.CompanyRegisterDate)</th>
                                <th>@Html.DisplayNameFor(model => model.CreatedDate)</th>
                                <th class="no-sort"><em class="fa fa-cog"></em></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {
                                <tr>
                                    @if (User.IsInRole("Admin"))
                                    {
                                        <td>@item.CreatorFullName</td>
}
                                    <td>@Html.DisplayFor(modelItem => item.MerchantType)</td>
                                    <td>@item.MerchantFullname<br /><small class="mt-2">@item.EnglishMerchantFullname</small></td>
                                    <td>@item.FatherName<br /><small class="mt-2">@item.EnglishFatherName</small></td>
                                    <td>@Html.DisplayFor(modelItem => item.Gender)</td>
                                    <td>@item.NationalCode</td>
                                    <td>@item.BirthCertificateNumber</td>
                                    <td>@item.BirthDate</td>
                                    <td>@item.Mobile</td>
                                    <td>@item.Phone</td>
                                    <td>@item.PostalCode</td>
                                    <td>@item.Address</td>
                                    <td>@item.CompanyEconomicCode</td>
                                    <td>@item.CompanyName <br /><small class="mt-2">@item.EnglishCompanyName</small></td>
                                    <td>@item.CompanyRegisterNumber</td>
                                    <td>@item.CompanyRegisterDate</td>
                                    <td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>
                                    <td align="center">
                                        <a asp-route="MerchantDetails" asp-route-id="@item.Id" class="btn btn-default" data-toggle="tooltip" title="جزئیات"><i class="fa fa-fw fa-eye"></i></a>
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
        <div class="card-footer">
            <small>
                آخرین بروز رسانی لحظاتی پیش
            </small>
        </div>
    </div>
</section>